package ucar.nc2.adde;

import ucar.nc2.*;
import ucar.nc2.util.CancelTask;
import ucar.ma2.Array;
import ucar.ma2.InvalidRangeException;

import java.io.IOException;
import java.util.List;

/**
 * Created by IntelliJ IDEA.
 * User: john
 * Date: Aug 18, 2004
 * Time: 3:52:28 PM
 * To change this template use File | Settings | File Templates.
 */
public class AddeServiceProvider implements IOServiceProvider {
  public boolean isValidFile(ucar.unidata.io.RandomAccessFile raf) {
    return false;
  }

  public void open(ucar.unidata.io.RandomAccessFile raf, NetcdfFile ncfile, CancelTask cancelTask) throws IOException {
    //To change body of implemented methods use File | Settings | File Templates.
  }

  public Array readData(Variable v2, List section) throws IOException, InvalidRangeException {
    return null;  //To change body of implemented methods use File | Settings | File Templates.
  }

  public Array readNestedData(Variable v2, List section, boolean flatten) throws IOException, InvalidRangeException {
    return null;  //To change body of implemented methods use File | Settings | File Templates.
  }

  public void create(String filename, NetcdfFile ncfile, boolean fill) throws IOException {
    //To change body of implemented methods use File | Settings | File Templates.
  }

  public void writeData(Variable v2, List section, Array values) throws IOException, InvalidRangeException {
    //To change body of implemented methods use File | Settings | File Templates.
  }

  public void flush() throws IOException {
    //To change body of implemented methods use File | Settings | File Templates.
  }

  public void close() throws IOException {
    //To change body of implemented methods use File | Settings | File Templates.
  }

  public void setProperty(String name, String value) {
    //To change body of implemented methods use File | Settings | File Templates.
  }

  public String toStringDebug(Object o) {
    return null;  //To change body of implemented methods use File | Settings | File Templates.
  }
}
